Skip to main content
POST
/
v2
/
reporting
/
queues
/
logs
User Queue Logs
curl --request POST \
  --url https://api.voxo.co/v2/reporting/queues/logs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "queueId": [
    1
  ],
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "queueIds": [
    123
  ],
  "records": [
    {
      "callId": "<string>",
      "event": "<string>",
      "queueId": 123,
      "timestamp": "<string>",
      "queueName": "<string>",
      "cidNum": "<string>",
      "cidName": "<string>",
      "peerName": "<string>",
      "waitTime": 123,
      "talkTime": 123
    }
  ],
  "total": 123,
  "page": 123,
  "maxPage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
queueId
number[]
required

Queue IDs to include in the report

Required range: x > 0
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

callId
string

Filter by specific call ID

events
enum<string>[]

Filter by queue event types

Available options:
AGENT_COMPLETE
recordsPerPage
number

Number of records per page

page
number

Page number

reportType

Report type (Scheduled, Export, or Live)

Available options:
Scheduled

Response

Paginated queue logs

queueIds
number[]
required

Queue IDs included

records
object[]
required

Queue log events

total
number
required

Total matching records

page
number
required

Current page number

maxPage
number
required

Maximum page number